﻿from typing import List
import sys

from gui.application import Application


__all__ = []


sys._excepthook = sys.excepthook


def exception_hook(exctype, value, traceback):
    sys._excepthook(exctype, value, traceback)
    sys.exit(1)


sys.excepthook = exception_hook


def main(args: List[str]) -> int:
    try:
        app = Application(args)
        return app.start_app()
    except Exception as e:
        import traceback
        traceback.print_exc()
        return 1


if __name__ == "__main__":
    sys.exit(main(sys.argv))
